# Danfysik Serial Adapter

class `pymeasure.instruments.danfysik.``DanfysikAdapter`(port)

  Bases: `pymeasure.adapters.serial.SerialAdapter`

  Provides a `SerialAdapter` with the specific baudrate and timeout for Danfysik serial communication.

  Initiates the adapter to open serial communcation over the supplied port.

  Parameters

    port – A string representing the serial port

  `read`()

    Overwrites the `SerialAdapter.read` method to automatically raise exceptions if errors are reported by the instrument.

    Returns

      String ASCII response of the instrument

    Raises

      An `Exception` if the Danfysik raises an error

  `write`(command)

    Overwrites the `SerialAdapter.write` method to automatically append a Unix-style linebreak at the end of the command.

    Parameters

      command – SCPI command string to be sent to the instrument